/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.auth.modular.login.param;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;

/**
 * 账号密码登录参数
 *
 * @author xuyuxiang
 * @date 2022/7/7 16:46
 **/
@Getter
public class AuthAccountPasswordLoginParam {

    /** 账号 */
    @Schema(description = "账号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "账号不能为空")
    private String account;

    /** 密码 */
    @Schema(description = "密码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "密码不能为空")
    private String password;

    /** 设备 */
    @Schema(description = "设备")
    private String device;

    /** 验证码 */
    @Schema(description = "验证码")
    private String validCode;

    /** openId */
    @Schema(description = "openId")
    private String openId;

    /** 验证码请求号 */
    @Schema(description = "验证码请求号")
    private String validCodeReqNo;

    // 自定义的 setter 方法，去除首尾空格
    public void setAccount(String account) {
        this.account = (account != null) ? account.trim() : null;
    }

    public void setPassword(String password) {
        this.password = (password != null) ? password.trim() : null;
    }

    public void setDevice(String device) {
        this.device = (device != null) ? device.trim() : null;
    }

    public void setValidCode(String validCode) {
        this.validCode = (validCode != null) ? validCode.trim() : null;
    }

    public void setOpenId(String openId) {
        this.openId = (openId != null) ? openId.trim() : null;
    }

    public void setValidCodeReqNo(String validCodeReqNo) {
        this.validCodeReqNo = (validCodeReqNo != null) ? validCodeReqNo.trim() : null;
    }
}
