package vip.xiaonuo.coldchain.core.alarm.bean;

import lombok.Data;

import java.io.Serializable;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description 告警接收人信息，包含用户的联系方式，支持多渠道接收报警信息
 * @date 2024/11/26 11:05:33
 */
@Data
public class SensorAlarmUser implements Serializable {
    private static final long serialVersionUID = 1L;
    public SensorAlarmUser() {
    }

    public SensorAlarmUser(String userName, String userId, String openId,String nickName) {
        this.userName = userName;
        this.userId = userId;
        this.openId = openId;
        this.nickName = nickName;
    }

    /**
     * 系统用户ID，唯一标识一个用户
     */
    private String userId;

    /**
     * 用户的姓名，用于告警信息中显示用户的身份
     */
    private String name;

    /**
     * 用户的微信公众号OpenID，通常用于与外部系统（如微信、钉钉等）进行集成，便于推送消息
     */
    private String openId;

    /**
     * 用户的手机号，作为接收告警的联系方式之一
     */
    private String phone;

    /**
     * 用户的电子邮件地址，用于发送告警邮件
     */
    private String email;

    /**
     * 用户的昵称或姓名，用于告警信息中显示用户的身份
     */
    private String userName;

    /**
     * 用户所属部门，便于将告警信息按部门划分，支持定向告警
     */
    private String department;

    /**
     * 用户的接收告警的偏好设置，例如是否接受短信、邮件、推送等
     */
    private String alarmPreferences;

    /**
     * 用户的接收告警的优先级设置，控制不同类型告警的发送优先级（如高优先级告警、低优先级告警等）
     */
    private String alarmPriority;

    /**
     * 微信用户名
     */
    private String nickName;
}
