package vip.xiaonuo.coldchain.core.alarm.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "cold-chain.alarm.message")
@Data
public class ColdChainAlarmMessageProperties {
    private String temperatureOverLimit = "温度报警:{deviceName}的温度超标！\n" +
            "当前温度:{value} {unit}，已超出上限（阈值:{threshold}）。\n" +
            "报警时间:{time}";

    private String temperatureBelowLimit = "温度报警:{deviceName}的温度过低！\n" +
            "当前温度:{value} {unit}，已低于下限（阈值:{threshold}）。\n" +
            "报警时间:{time}";

    private String humidityOverLimit = "湿度报警:{deviceName}的湿度超标！\n" +
            "当前湿度:{value} {unit}，已超出上限（阈值:{threshold}）。\n" +
            "报警时间:{time}";

    private String humidityBelowLimit = "湿度报警:{deviceName}的湿度过低！\n" +
            "当前湿度:{value} {unit}，已低于下限（阈值:{threshold}）。\n" +
            "报警时间:{time}";

    private String co2OverLimit = "二氧化碳报警:{deviceName}的二氧化碳浓度超标！\n" +
            "当前浓度:{value} {unit}，已超出上限（阈值:{threshold}）。\n" +
            "报警时间:{time}";

    private String co2BelowLimit = "二氧化碳报警:{deviceName}的二氧化碳浓度过低！\n" +
            "当前浓度:{value} {unit}，已低于下限（阈值:{threshold}）。\n" +
            "报警时间:{time}";

    private String deviceOfflineLimit = "设备离线:{deviceName}的设备断电或者离线\n" +
            "报警时间:{time}";
}
