package vip.xiaonuo.coldchain.core.event;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description 心跳机制
 * @date 2024/11/12 15:31:05
 */

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.time.Clock;
import java.util.Date;

@Getter
public class MonitorDeviceHeartBeatEvent extends ApplicationEvent {
    private final Integer deviceId;
    private final String ip;
    private final Date timestamps;

    public MonitorDeviceHeartBeatEvent(Object source, Integer deviceId, String ip, Date timestamps) {
        super(source);
        this.deviceId = deviceId;
        this.ip = ip;
        this.timestamps = timestamps;
    }

    public MonitorDeviceHeartBeatEvent(Object source, Clock clock, Integer deviceId, String ip, Date timestamps) {
        super(source, clock);
        this.deviceId = deviceId;
        this.ip = ip;
        this.timestamps = timestamps;
    }
}
