package vip.xiaonuo.coldchain.core.renke.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import vip.xiaonuo.coldchain.core.config.JfcloudColdChainConstants;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description RSServer 配置属性类，用于配置端口号，默认使用 2404
 * @date 2024/11/1 14:58:48
 */
@ConfigurationProperties(prefix = "coldchain")
@Data
public class JfcloudColdChainServerProperties {
    /**
     * 配置 RSServer 的端口号，默认为 2404
     */
    private int port = JfcloudColdChainConstants.SERVER_PORT;

    /**
     * 缓存方式redis/local
     */
    private String cacheType = JfcloudColdChainConstants.DEFAULT_CACHE_TYPE;

    /**
     * 每 5 分钟定期执行设备缓存更新
     */
    private Long cacheUpdateInterval = JfcloudColdChainConstants.CACHE_UPDATE_INTERVAL;

    /**
     * 每 5 分钟定期执行设备在线检测
     */
    private Long deviceOfflineInterval = JfcloudColdChainConstants.OFFLINE_THRESHOLD_SECONDS;


}
