package vip.xiaonuo.coldchain.core.service.dataprocess.dataclean;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/19 23:17:28
 */
public interface MonitorDataProcessor<T> {

    String RS_WS_DEFAULT = "RS_WIFI_DEFAULT";
    /**
     * 不带电池的二氧化碳
     */
    String RS_CO2WS_WIFI_2_5000P = "RS-CO2WS-WIFI-2-5000P";
    /**
     * 不带电池正负200°一路
     */
    String RS_WD_WIFI_6_5WL = "RS-WD-WIFI-6-5WL";
    /**
     * 带电池2路
     */
    String RS_WS_WIFI5_C3_Y2 = "RS-WS-WIFI5-C3-Y2";

    /**
     * 带电池4路
     */
    String RS_WS_WIFI5_C3_Y4 = "RS-WS-WIFI5-C3-Y4";

    /**
     * 不带电池2路
     */
    String RS_WS_WIFI5_Y2 = "RS-WS-WIFI-Y2";
    /**
     * 不带电池4路
     */
    String RS_WS_WIFI5_Y4 = "RS-WS-WIFI-Y4";

    /**
     * 不带电话CO2,只有二氧化碳指标
     */
    String RS_CO2WS_WIFI_2_2000P = "RS-CO2-2000P-WIFI-2-C3";

    Boolean processData(T data);

    /**
     * 设备登录
     */
    void login(T data);

    /**
     * 处理心跳
     */
    void heartbeat(T data);
}
