/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.alarmuser.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.influxdb.annotations.Column;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.OrgEntity;

/**
 * 报警接收人实体
 *
 * @author 黄渊昊
 * @date  2024/12/02 15:41
 **/
@Getter
@Setter
@TableName("alarm_user")
public class AlarmUser extends OrgEntity {

    /** id */
    @TableId
    @Schema(description = "id")
    private String id;

    /** 系统用户id */
    @Schema(description = "系统用户id")
    @Column(name = "user_id")
    private String userId;

    /** 用户唯一标识 */
    @Schema(description = "用户唯一标识")
    @Column(name = "open_id")
    private String openId;

    /** AccessToken */
    @Schema(description = "AccessToken")
    @Column(name = "access_token")
    private String accessToken;

    /** RefreshToken */
    @Schema(description = "RefreshToken")
    @Column(name = "refresh_token")
    private String refreshToken;

    /** 微信昵称 */
    @Schema(description = "微信昵称")
    @Column(name = "nick_name")
    private String nickName;

    /** 性别 */
    @Schema(description = "性别")
    @Column(name = "sex")
    private String sex;

    /** 省份 */
    @Schema(description = "省份")
    @Column(name = "province")
    private String province;

    /** 用户城市 */
    @Schema(description = "用户城市")
    @Column(name = "city")
    private String city;

    /** 国家 */
    @Schema(description = "国家")
    @Column(name = "country")
    private String country;

    /** 用户头像 */
    @Schema(description = "用户头像")
    @Column(name = "avatar")
    private String avatar;

    /** 特权信息 */
    @Schema(description = "特权信息")
    @Column(name = "privilege")
    private String privilege;

    /** unionid */
    @Schema(description = "unionId")
    @Column(name = "union_id")
    private String unionId;

    /**
     * 是否订阅：0否 1是
     */
    private String subscribed;
}
