package vip.xiaonuo.coldchain.modular.app.param;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/17 22:30:15
 */

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AppDeviceAddParam {
    /**
     * 传感器路数
     */
    @Schema(description = "传感器路数")
    @NotNull(message = "传感器路数不能为空")
    @Size(min = 1, max = 4, message = "传感器路数必须在 1 到 4 之间")
    private Integer sensorCount;

    /**
     * 设备编码
     */
    @Schema(description = "设备编码")
    @NotNull(message = "设备编码不能为空")
    private String deviceCode;

    /**
     * 设备型号
     */
    @Schema(description = "设备型号")
    @NotNull(message = "设备型号不能为空")
    private String modelName;
}
