package vip.xiaonuo.coldchain.modular.app.param;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/17 22:38:25
 */

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class AppDeviceQueryParams {
    @Schema(description = "起始时间")
    @NotBlank(message = "起始时间不能为空")
    private String startTime;     // 查询开始时间
    @Schema(description = "截止时间")
    @NotBlank(message = "截止不能为空")
    private String endTime;       // 查询结束时间
    private Double minTemperature;       // 最低温度
    private Double maxTemperature;       // 最高温度
    private Double minHumidity;          // 最低湿度
    private Double maxHumidity;          // 最高湿度
    private Double minCo2Level;          // 最低二氧化碳浓度
    private Double maxCo2Level;          // 最高二氧化碳浓度
    private Metric metric;  // 使用 Metric 枚举
    @Schema(description = "设备序列号")
    private String sensorCode;
    @Schema(description = "设备路数")
    private Integer sensorRoute;
    @Schema(description = "聚合维度")
    private String aggregationWindow;

}
