/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitordevice.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 * 采集器模版
 *
 * @author 黄渊昊
 **/
@Getter
@Setter
@EqualsAndHashCode
@Data
public class MonitorDeviceTemplate{

    /**
     * 设备型号
     */
    @Schema(description = "设备型号")
    @ColumnWidth(25)
    @ExcelProperty("设备型号编码(必选)")
    private String modelName;

    /**
     * 设备编码
     */
    @Schema(description = "设备编码")
    @ExcelProperty("设备编码(必填)")
    @ColumnWidth(15)
    private String deviceCode;

    /**
     * mac
     */
    @Schema(description = "mac")
    @ExcelProperty("设备mac地址(必填)")
    @ColumnWidth(20)
    private String mac;

    /**
     * 设备名称
     */
    @Schema(description = "设备名称")
    @ExcelProperty("设备名称(必填)")
    @ColumnWidth(15)
    private String deviceName;

    /** 报警上限 */
    @Schema(description = "报警上限")
    @ExcelProperty("温度上限(℃)")
    @ColumnWidth(13)
    private Float temperatureUp;

    /** 报警上限 */
    @Schema(description = "报警上限")
    @ExcelProperty("湿度上限(%)")
    @ColumnWidth(13)
    private Float humidityUp;

    /** 报警上限 */
    @Schema(description = "报警上限")
    @ExcelProperty("二氧化碳上限(ppm)")
    @ColumnWidth(15)
    private Float co2Up;

    /** 报警下限 */
    @Schema(description = "报警下限")
    @ExcelProperty("温度下限(℃)")
    @ColumnWidth(13)
    private Float temperatureDown;

    /** 报警下限 */
    @Schema(description = "报警下限")
    @ExcelProperty("湿度下限(%)")
    @ColumnWidth(13)
    private Float humidityDown;

    /** 报警下限 */
    @Schema(description = "报警下限")
    @ExcelProperty("二氧化碳下限(ppm)")
    @ColumnWidth(15)
    private Float co2Down;
}
