/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitordeviceparameters.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 设备参数及其配置实体
 *
 * @author 黄渊昊
 * @date 2024/11/13 17:03
 **/
@Getter
@Setter
@TableName("monitor_device_parameters")
public class MonitorDeviceParameters {

    /**
     * 主键
     */
    @TableId
    @Schema(description = "主键")
    private String id;

    /**
     * 采集器ID
     */
    @Schema(description = "采集器ID")
    private Integer monitorDeviceId;

    /**
     * 参数ID，每个参数的唯一标识
     */
    @Schema(description = "参数ID，每个参数的唯一标识")
    private Integer paramId;

    /**
     * 参数类型
     */
    @Schema(description = "参数类型")
    private String paramType;

    /**
     * 参数描述
     */
    @Schema(description = "参数描述")
    private String description;

    /**
     * 参数值
     */
    @Schema(description = "参数值")
    private String value;

    /**
     * 参数长度
     */
    @Schema(description = "参数长度")
    private Integer length;

    /**
     * 参数的最小值
     */
    @Schema(description = "参数的最小值")
    private Integer minValue;

    /**
     * 参数的最大值
     */
    @Schema(description = "参数的最大值")
    private Integer maxValue;

    /**
     * 可选的值描述
     */
    @Schema(description = "可选的值描述")
    private String valueDescription;

    /**
     * 记录创建时间
     */
    @Schema(description = "记录创建时间")
    private Date createdAt;

    /**
     * 记录更新时间
     */
    @Schema(description = "记录更新时间")
    private Date updatedAt;
}
