/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitordevicetype.param;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;

/**
 * 监控设备型号编辑参数
 *
 * @author 黄渊昊
 * @date  2024/11/25 10:15
 **/
@Getter
@Setter
public class MonitorDeviceTypeEditParam {

    /** 设备唯一标识符，UUID */
    @Schema(description = "设备唯一标识符，UUID", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 型号名称 */
    @Schema(description = "型号名称")
    private String name;

    /** 型号编码 */
    @Schema(description = "型号编码")
    private String code;

    /** 传感器路数 */
    @Schema(description = "传感器路数")
    private Integer sensorCount;

    /** 排序码 */
    @Schema(description = "排序码")
    private Integer sortCode;

    /** 扩展信息 */
    @Schema(description = "扩展信息")
    private String extraInfo;

    /** 设备编号集合 */
    @Schema(description = "设备编号集合")
    private String paramIds;

    /** 设备参数集合 */
    @Schema(description = "设备参数集合")
    private String parameters;

    /** 删除标志 */
    @Schema(description = "删除标志")
    private String isDeleted;

    /** 报警上限 */
    @Schema(description = "报警上限")
    private Float temperatureUp;

    /** 报警上限 */
    @Schema(description = "报警上限")
    private Float humidityUp;

    /** 报警上限 */
    @Schema(description = "报警上限")
    private Float co2Up;

    /** 报警下限 */
    @Schema(description = "报警下限")
    private Float temperatureDown;

    /** 报警下限 */
    @Schema(description = "报警下限")
    private Float humidityDown;

    /** 报警下限 */
    @Schema(description = "报警下限")
    private Float co2Down;

    /** 传感器类型 */
    @Schema(description = "传感器类型")
    private String sensorType;

    /** 供电类型 */
    @Schema(description = "供电类型")
    private String powerType;
}
