/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitordevicetype.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.coldchain.modular.monitordevicetype.entity.MonitorDeviceType;
import vip.xiaonuo.coldchain.modular.monitordevicetype.param.MonitorDeviceTypeAddParam;
import vip.xiaonuo.coldchain.modular.monitordevicetype.param.MonitorDeviceTypeEditParam;
import vip.xiaonuo.coldchain.modular.monitordevicetype.param.MonitorDeviceTypeIdParam;
import vip.xiaonuo.coldchain.modular.monitordevicetype.param.MonitorDeviceTypePageParam;

import java.util.List;

/**
 * 监控设备型号Service接口
 *
 * @author 黄渊昊
 * @date  2024/11/25 10:15
 **/
public interface MonitorDeviceTypeService extends IService<MonitorDeviceType> {

    /**
     * 获取监控设备型号分页
     *
     * @author 黄渊昊
     * @date  2024/11/25 10:15
     */
    Page<MonitorDeviceType> page(MonitorDeviceTypePageParam monitorDeviceTypePageParam);

    /**
     * 添加监控设备型号
     *
     * @author 黄渊昊
     * @date  2024/11/25 10:15
     */
    void add(MonitorDeviceTypeAddParam monitorDeviceTypeAddParam);

    /**
     * 编辑监控设备型号
     *
     * @author 黄渊昊
     * @date  2024/11/25 10:15
     */
    void edit(MonitorDeviceTypeEditParam monitorDeviceTypeEditParam);

    /**
     * 删除监控设备型号
     *
     * @author 黄渊昊
     * @date  2024/11/25 10:15
     */
    void delete(List<MonitorDeviceTypeIdParam> monitorDeviceTypeIdParamList);

    /**
     * 获取监控设备型号详情
     *
     * @author 黄渊昊
     * @date  2024/11/25 10:15
     */
    MonitorDeviceType detail(MonitorDeviceTypeIdParam monitorDeviceTypeIdParam);

    /**
     * 获取监控设备型号详情
     *
     * @author 黄渊昊
     * @date  2024/11/25 10:15
     **/
    MonitorDeviceType queryEntity(String id);

    boolean getByName(String name);

    boolean getByCode(String code);

    List<MonitorDeviceType> myList(String sensorType);

    MonitorDeviceType getByModelName(String modelName);
}
