/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitormonitortarget.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 采集器与监控对象关系实体
 *
 * @author 黄渊昊
 * @date 2024/11/15 10:45
 **/
@Getter
@Setter
@TableName("monitor_monitor_target")
public class MonitorMonitorTarget {

    /**
     * 主键
     */
    @TableId
    @Schema(description = "主键")
    private String id;

    /**
     * 采集器ID
     */
    @Schema(description = "采集器ID")
    private String monitorDeviceId;

    /**
     * 监控对象ID
     */
    @Schema(description = "监控对象ID")
    private String monitorTargetId;

    /**
     * 监控对象区域ID
     */
    @Schema(description = "监控对象区域ID")
    private String monitorTargetRegionId;

    /**
     * 传感器路数
     */
    @Schema(description = "传感器路数")
    private Integer sensorRoute;

    /**
     * 记录创建时间
     */
    @Schema(description = "记录创建时间")
    private Date createdAt;

    /**
     * 记录创建用户
     */
    @Schema(description = "记录创建用户")
    private String createdBy;

    /**
     * 记录修改时间
     */
    @Schema(description = "记录修改时间")
    private Date updatedAt;

    /**
     * 记录修改用户
     */
    @Schema(description = "记录修改用户")
    private String updatedBy;
}
