/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitormonitortarget.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.coldchain.modular.monitormonitortarget.entity.MonitorMonitorTarget;
import vip.xiaonuo.coldchain.modular.monitormonitortarget.param.MonitorMonitorTargetAddParam;
import vip.xiaonuo.coldchain.modular.monitormonitortarget.param.MonitorMonitorTargetEditParam;
import vip.xiaonuo.coldchain.modular.monitormonitortarget.param.MonitorMonitorTargetIdParam;
import vip.xiaonuo.coldchain.modular.monitormonitortarget.param.MonitorMonitorTargetPageParam;

import java.util.List;

/**
 * 采集器与监控对象关系Service接口
 *
 * @author 黄渊昊
 * @date 2024/11/15 10:45
 **/
public interface MonitorMonitorTargetService extends IService<MonitorMonitorTarget> {

    /**
     * 获取采集器与监控对象关系分页
     *
     * @author 黄渊昊
     * @date 2024/11/15 10:45
     */
    Page<MonitorMonitorTarget> page(MonitorMonitorTargetPageParam monitorMonitorTargetPageParam);

    /**
     * 添加采集器与监控对象关系
     *
     * @author 黄渊昊
     * @date 2024/11/15 10:45
     */
    void add(MonitorMonitorTargetAddParam monitorMonitorTargetAddParam);

    /**
     * 编辑采集器与监控对象关系
     *
     * @author 黄渊昊
     * @date 2024/11/15 10:45
     */
    void edit(MonitorMonitorTargetEditParam monitorMonitorTargetEditParam);

    /**
     * 删除采集器与监控对象关系
     *
     * @author 黄渊昊
     * @date 2024/11/15 10:45
     */
    void delete(List<MonitorMonitorTargetIdParam> monitorMonitorTargetIdParamList);

    /**
     * 获取采集器与监控对象关系详情
     *
     * @author 黄渊昊
     * @date 2024/11/15 10:45
     */
    MonitorMonitorTarget detail(MonitorMonitorTargetIdParam monitorMonitorTargetIdParam);

    /**
     * 获取采集器与监控对象关系详情
     *
     * @author 黄渊昊
     * @date 2024/11/15 10:45
     **/
    MonitorMonitorTarget queryEntity(String id);
}
