package vip.xiaonuo.coldchain.modular.monitornotice.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.influxdb.annotations.Column;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import vip.xiaonuo.coldchain.core.bean.influxdb.SensorData;
import vip.xiaonuo.coldchain.modular.app.param.FloatNullToDashSerializer;
import vip.xiaonuo.coldchain.modular.app.param.SensorEchartDataResult;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class Trend {

    /**
     * 温度报警上限 temperature humidity co2
     */
    @Schema(description = "温度报警上限")
    private Float temperatureUp;
    /**
     * 温度报警下限
     */
    @Schema(description = "温度报警下限")
    private Float temperatureDown;

    /**
     * 湿度报警上限 temperature humidity co2
     */

    @Schema(description = "湿度报警上限")
    private Float humidityUp;
    /**
     * 湿度报警下限
     */
    @Schema(description = "湿度报警下限")
    private Float humidityDown;

    /**
     * 二氧化碳报警上限 temperature humidity co2
     */
    @Schema(description = "二氧化碳报警上限")
    private Float co2Up;

    /**
     * 二氧化碳报警下限
     */
    @Schema(description = "二氧化碳报警下限")
    private Float co2Down;

    private SensorEchartDataResult sensorEchartDataResult;
}
