/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitornotice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.coldchain.modular.monitornotice.entity.CountWithTime;
import vip.xiaonuo.coldchain.modular.monitornotice.entity.MonitorNotice;
import vip.xiaonuo.coldchain.modular.monitornotice.entity.Realtime;
import vip.xiaonuo.coldchain.modular.monitornotice.entity.Trend;
import vip.xiaonuo.coldchain.modular.monitornotice.param.RealtimeParam;
import vip.xiaonuo.coldchain.modular.monitornotice.param.TrendParam;

import java.util.List;

/**
 * 监控通知Service接口
 *
 * @author 黄渊昊
 * @date  2024/11/25 10:58
 **/
public interface MonitorNoticeService extends IService<MonitorNotice> {

    /**
     * 获取今天报警情况
     */
    CountWithTime today(String orgId);

    /**
     * 获取昨天报警情况
     */
    CountWithTime yesterday(String orgId);

    /**
     * 获取前天报警情况
     */
    CountWithTime dayBeforeYesterday(String orgId);

    /**
     * 获取仅三天报警情况
     */
    List<CountWithTime> getNoticeByDate();

    /**
     * 获取冰箱点位监控数据趋势
     */
    Trend getTrend(TrendParam trendParam);

    /**
     * 获取冰箱实时数据
     */
    Realtime getRealtime(RealtimeParam realtimeParam);
}
