package vip.xiaonuo.coldchain.modular.monitortarget.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableField;
import com.google.common.collect.Lists;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.coldchain.core.alarm.bean.NotificationChannel;
import vip.xiaonuo.coldchain.core.alarm.bean.SensorAlarmUser;
import vip.xiaonuo.coldchain.core.handler.NotificationChannelListTypeHandler;
import vip.xiaonuo.coldchain.core.handler.SensorAlarmUserTypeHandler;
import vip.xiaonuo.coldchain.modular.monitortargetregion.entity.MonitorTargetRegion;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@EqualsAndHashCode
@Data
public class MonitorTargetTemplate {

    /**
     * 房间名
     */
    @Schema(description = "房间名")
    @ExcelProperty("房间名(必填)")
    @ColumnWidth(20)
    private String roomName;

    /**
     * 名称
     */
    @Schema(description = "名称")
    @ExcelProperty("冰箱名称(必填)")
    @ColumnWidth(25)
    private String name;

    /**
     * 监控位置区域
     */
    @Schema(description = "监控位置区域")
    @ExcelProperty("冰箱位置")
    @ColumnWidth(30)
    private String monitorPoint;
}
