/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.coldchain.modular.monitortarget.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.coldchain.modular.monitortarget.entity.MonitorTarget;
import vip.xiaonuo.coldchain.modular.monitortarget.entity.StatusCount;
import vip.xiaonuo.coldchain.modular.monitortarget.param.MonitorTargetPageParam;

import java.util.List;

/**
 * 监控对象管理Mapper接口
 *
 * @author 黄渊昊
 * @date 2024/11/13 16:56
 **/
public interface MonitorTargetMapper extends BaseMapper<MonitorTarget> {
    List<StatusCount> getCountByStatus(String name,String roomId,String orgId);
    /**
     * 使用 MonitorTargetPageParam 对象进行分页查询
     *
     * @param monitorTargetPageParam 查询参数对象，封装了所有查询条件
     * @return MonitorTarget 列表
     */
    IPage<MonitorTarget> selectMonitorTargetByPage(Page<MonitorTarget> page, @Param("param") MonitorTargetPageParam monitorTargetPageParam);
}
